Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002418 [JEDI VCL] 02 Installation block always 2004-12-21 09:56 2004-12-29 16:46
Reporter anonymous View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002418: Instalation Fails in Delphi 5
Description It stops when compiling the unit ..\run\JvFullColorSpaces.pas requiring the EnsureRange function.
I took a look in the source code and an uses clause makes reference to JclMath.pas like this:

{$IFNDEF COMPILER6_UP}
JclMath, // For EnsureRange
{$ENDIF COMPILER7_UP}

But the function EnsureRange doesnt exists in JclMath, but exists in the ..\run\JvPrvwDoc.pas, but when I uses this it gives me an error that I'm passing an extend value for an integer parameter.
Additional Information I think the problem will occur in the JvFullColorCircleForm.pas and JvFullColorCtrls.pas also.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005973)
anonymous (viewer)
2004-12-21 09:57

I'm using the last daily build.
(0005975)
user72
2004-12-21 10:34

You need to get an updated JclMath from CVS. If you are using a CVS client, make sure you are downloading from the HEAD revision.
(0005976)
TandBR (reporter)
2004-12-21 10:37

Newer than this one?

Release 1.93
Build 1722
18-November-2004
(0005977)
anonymous (viewer)
2004-12-21 16:55

> Newer than this one?
Oh yes. Look at the bottom of JclMath. Should have this line:

// $Log: JclMath.pas,v $
// Revision 1.19 2004/12/11 18:50:45 obones
// Added EnsureRange

- Issue History
Date Modified Username Field Change
2004-12-21 09:56 anonymous New Issue
2004-12-21 09:57 anonymous Note Added: 0005973
2004-12-21 10:34 user72 Note Added: 0005975
2004-12-21 10:35 user72 Status new => feedback
2004-12-21 10:37 TandBR Note Added: 0005976
2004-12-21 10:37 TandBR Issue Monitored: TandBR
2004-12-21 16:55 anonymous Note Added: 0005977
2004-12-29 16:46 AHUser Status feedback => resolved
2004-12-29 16:46 AHUser Resolution open => fixed
2004-12-29 16:46 AHUser Assigned To => AHUser
2004-12-29 16:46 AHUser Assigned To AHUser =>


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker